﻿namespace CsharpApplication
{
    using Microsoft.Win32;
    using System;

    internal class MyRegistry
    {
        private string keystr = @"Software\Jazzed\Propalyzer";

        public void dumpKeys()
        {
            string[] strArray = this.getKeyNames();
            int num = 0;
            Console.WriteLine("Subkeys of " + this.keystr);
            Console.WriteLine("-----------------------------------------------");
            foreach (string str in strArray)
            {
                Console.WriteLine(str + " " + this.getString(str));
                num++;
                if (num >= 10)
                {
                    return;
                }
            }
        }

        public string[] getKeyNames()
        {
            RegistryKey key = Registry.CurrentUser.OpenSubKey(this.keystr);
            if (key != null)
            {
                return key.GetValueNames();
            }
            return null;
        }

        public string getString(string key)
        {
            string str = "";
            RegistryKey key2 = Registry.CurrentUser.OpenSubKey(this.keystr);
            if (key2 != null)
            {
                str = (string) key2.GetValue(key);
                if (str == null)
                {
                    str = "";
                }
            }
            return str;
        }

        public void setString(string key, string val)
        {
            RegistryKey key2 = Registry.CurrentUser.CreateSubKey(this.keystr);
            if (key2 != null)
            {
                key2.SetValue(key, val);
            }
        }
    }
}

