﻿namespace CsharpApplication
{
    using System;
    using System.IO;
    using System.Windows.Forms;

    internal static class Program
    {
        [STAThread]
        private static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            try
            {
                Application.Run(new MainForm());
            }
            catch (Exception exception)
            {
                File.WriteAllText("stacktrace.txt", exception.StackTrace);
                MessageBox.Show(exception.Message, "Unhandled Exception Error");
            }
        }
    }
}

